package com.neusoft.smart.pos.device.persistent.mapper;

import com.neusoft.smart.pos.device.persistent.domain.ConfigStrategyGroup;
import com.neusoft.smart.pos.device.persistent.domain.ConfigStrategyGroupExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ConfigStrategyGroupMapper {
	
	int countByExample(ConfigStrategyGroupExample example);
	
	int deleteByExample(ConfigStrategyGroupExample example);
	
	int deleteByPrimaryKey(Integer id);
	
	int insert(ConfigStrategyGroup record);
	
	int insertSelective(ConfigStrategyGroup record);
	
	List<ConfigStrategyGroup> selectByExample(ConfigStrategyGroupExample example);
	
	ConfigStrategyGroup selectByPrimaryKey(Integer id);
	
	int updateByExampleSelective(@Param("record") ConfigStrategyGroup record, @Param("example") ConfigStrategyGroupExample example);
	
	int updateByExample(@Param("record") ConfigStrategyGroup record, @Param("example") ConfigStrategyGroupExample example);
	
	int updateByPrimaryKeySelective(ConfigStrategyGroup record);
	
	int updateByPrimaryKey(ConfigStrategyGroup record);
}